package net.abhinavsarkar.algorist;

import java.util.Optional;

public interface SortedMap<K extends Comparable<K>, V> extends Map<K, V>
{

    Optional<K> minimum();

    Optional<K> maximum();

    Optional<K> successor(K key);

    Optional<K> predecessor(K key);

}
