package net.abhinavsarkar.algorist;

public interface Sorter<T>
{
    T[] sort(T[] input, Comparator<T> comparator);

    @FunctionalInterface
    interface Comparator<T> {
        int compare(T o1, T o2);
    }
}
